Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network1.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
1.0.0.0
Broadcast address
1.255.255.255
First usable
1.0.0.1
Last usable
1.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 01000000 · Integer 16777216 to 33554431
Reverse DNS zone
1.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000001..00000000.00000000.000000001.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00000001..00000000.00000000.000000001.0.0.0
Broadcast00000001..11111111.11111111.111111111.255.255.255
Split into smaller subnets/15

1.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
11.0.0.0/151.0.0.1 to 1.1.255.2541.1.255.255131,070
21.2.0.0/151.2.0.1 to 1.3.255.2541.3.255.255131,070
31.4.0.0/151.4.0.1 to 1.5.255.2541.5.255.255131,070
41.6.0.0/151.6.0.1 to 1.7.255.2541.7.255.255131,070
51.8.0.0/151.8.0.1 to 1.9.255.2541.9.255.255131,070
61.10.0.0/151.10.0.1 to 1.11.255.2541.11.255.255131,070
71.12.0.0/151.12.0.1 to 1.13.255.2541.13.255.255131,070
81.14.0.0/151.14.0.1 to 1.15.255.2541.15.255.255131,070
91.16.0.0/151.16.0.1 to 1.17.255.2541.17.255.255131,070
101.18.0.0/151.18.0.1 to 1.19.255.2541.19.255.255131,070
111.20.0.0/151.20.0.1 to 1.21.255.2541.21.255.255131,070
121.22.0.0/151.22.0.1 to 1.23.255.2541.23.255.255131,070
131.24.0.0/151.24.0.1 to 1.25.255.2541.25.255.255131,070
141.26.0.0/151.26.0.1 to 1.27.255.2541.27.255.255131,070
151.28.0.0/151.28.0.1 to 1.29.255.2541.29.255.255131,070
161.30.0.0/151.30.0.1 to 1.31.255.2541.31.255.255131,070
171.32.0.0/151.32.0.1 to 1.33.255.2541.33.255.255131,070
181.34.0.0/151.34.0.1 to 1.35.255.2541.35.255.255131,070
191.36.0.0/151.36.0.1 to 1.37.255.2541.37.255.255131,070
201.38.0.0/151.38.0.1 to 1.39.255.2541.39.255.255131,070
211.40.0.0/151.40.0.1 to 1.41.255.2541.41.255.255131,070
221.42.0.0/151.42.0.1 to 1.43.255.2541.43.255.255131,070
231.44.0.0/151.44.0.1 to 1.45.255.2541.45.255.255131,070
241.46.0.0/151.46.0.1 to 1.47.255.2541.47.255.255131,070
251.48.0.0/151.48.0.1 to 1.49.255.2541.49.255.255131,070
261.50.0.0/151.50.0.1 to 1.51.255.2541.51.255.255131,070
271.52.0.0/151.52.0.1 to 1.53.255.2541.53.255.255131,070
281.54.0.0/151.54.0.1 to 1.55.255.2541.55.255.255131,070
291.56.0.0/151.56.0.1 to 1.57.255.2541.57.255.255131,070
301.58.0.0/151.58.0.1 to 1.59.255.2541.59.255.255131,070
311.60.0.0/151.60.0.1 to 1.61.255.2541.61.255.255131,070
321.62.0.0/151.62.0.1 to 1.63.255.2541.63.255.255131,070
331.64.0.0/151.64.0.1 to 1.65.255.2541.65.255.255131,070
341.66.0.0/151.66.0.1 to 1.67.255.2541.67.255.255131,070
351.68.0.0/151.68.0.1 to 1.69.255.2541.69.255.255131,070
361.70.0.0/151.70.0.1 to 1.71.255.2541.71.255.255131,070
371.72.0.0/151.72.0.1 to 1.73.255.2541.73.255.255131,070
381.74.0.0/151.74.0.1 to 1.75.255.2541.75.255.255131,070
391.76.0.0/151.76.0.1 to 1.77.255.2541.77.255.255131,070
401.78.0.0/151.78.0.1 to 1.79.255.2541.79.255.255131,070
411.80.0.0/151.80.0.1 to 1.81.255.2541.81.255.255131,070
421.82.0.0/151.82.0.1 to 1.83.255.2541.83.255.255131,070
431.84.0.0/151.84.0.1 to 1.85.255.2541.85.255.255131,070
441.86.0.0/151.86.0.1 to 1.87.255.2541.87.255.255131,070
451.88.0.0/151.88.0.1 to 1.89.255.2541.89.255.255131,070
461.90.0.0/151.90.0.1 to 1.91.255.2541.91.255.255131,070
471.92.0.0/151.92.0.1 to 1.93.255.2541.93.255.255131,070
481.94.0.0/151.94.0.1 to 1.95.255.2541.95.255.255131,070
491.96.0.0/151.96.0.1 to 1.97.255.2541.97.255.255131,070
501.98.0.0/151.98.0.1 to 1.99.255.2541.99.255.255131,070
511.100.0.0/151.100.0.1 to 1.101.255.2541.101.255.255131,070
521.102.0.0/151.102.0.1 to 1.103.255.2541.103.255.255131,070
531.104.0.0/151.104.0.1 to 1.105.255.2541.105.255.255131,070
541.106.0.0/151.106.0.1 to 1.107.255.2541.107.255.255131,070
551.108.0.0/151.108.0.1 to 1.109.255.2541.109.255.255131,070
561.110.0.0/151.110.0.1 to 1.111.255.2541.111.255.255131,070
571.112.0.0/151.112.0.1 to 1.113.255.2541.113.255.255131,070
581.114.0.0/151.114.0.1 to 1.115.255.2541.115.255.255131,070
591.116.0.0/151.116.0.1 to 1.117.255.2541.117.255.255131,070
601.118.0.0/151.118.0.1 to 1.119.255.2541.119.255.255131,070
611.120.0.0/151.120.0.1 to 1.121.255.2541.121.255.255131,070
621.122.0.0/151.122.0.1 to 1.123.255.2541.123.255.255131,070
631.124.0.0/151.124.0.1 to 1.125.255.2541.125.255.255131,070
641.126.0.0/151.126.0.1 to 1.127.255.2541.127.255.255131,070
651.128.0.0/151.128.0.1 to 1.129.255.2541.129.255.255131,070
661.130.0.0/151.130.0.1 to 1.131.255.2541.131.255.255131,070
671.132.0.0/151.132.0.1 to 1.133.255.2541.133.255.255131,070
681.134.0.0/151.134.0.1 to 1.135.255.2541.135.255.255131,070
691.136.0.0/151.136.0.1 to 1.137.255.2541.137.255.255131,070
701.138.0.0/151.138.0.1 to 1.139.255.2541.139.255.255131,070
711.140.0.0/151.140.0.1 to 1.141.255.2541.141.255.255131,070
721.142.0.0/151.142.0.1 to 1.143.255.2541.143.255.255131,070
731.144.0.0/151.144.0.1 to 1.145.255.2541.145.255.255131,070
741.146.0.0/151.146.0.1 to 1.147.255.2541.147.255.255131,070
751.148.0.0/151.148.0.1 to 1.149.255.2541.149.255.255131,070
761.150.0.0/151.150.0.1 to 1.151.255.2541.151.255.255131,070
771.152.0.0/151.152.0.1 to 1.153.255.2541.153.255.255131,070
781.154.0.0/151.154.0.1 to 1.155.255.2541.155.255.255131,070
791.156.0.0/151.156.0.1 to 1.157.255.2541.157.255.255131,070
801.158.0.0/151.158.0.1 to 1.159.255.2541.159.255.255131,070
811.160.0.0/151.160.0.1 to 1.161.255.2541.161.255.255131,070
821.162.0.0/151.162.0.1 to 1.163.255.2541.163.255.255131,070
831.164.0.0/151.164.0.1 to 1.165.255.2541.165.255.255131,070
841.166.0.0/151.166.0.1 to 1.167.255.2541.167.255.255131,070
851.168.0.0/151.168.0.1 to 1.169.255.2541.169.255.255131,070
861.170.0.0/151.170.0.1 to 1.171.255.2541.171.255.255131,070
871.172.0.0/151.172.0.1 to 1.173.255.2541.173.255.255131,070
881.174.0.0/151.174.0.1 to 1.175.255.2541.175.255.255131,070
891.176.0.0/151.176.0.1 to 1.177.255.2541.177.255.255131,070
901.178.0.0/151.178.0.1 to 1.179.255.2541.179.255.255131,070
911.180.0.0/151.180.0.1 to 1.181.255.2541.181.255.255131,070
921.182.0.0/151.182.0.1 to 1.183.255.2541.183.255.255131,070
931.184.0.0/151.184.0.1 to 1.185.255.2541.185.255.255131,070
941.186.0.0/151.186.0.1 to 1.187.255.2541.187.255.255131,070
951.188.0.0/151.188.0.1 to 1.189.255.2541.189.255.255131,070
961.190.0.0/151.190.0.1 to 1.191.255.2541.191.255.255131,070
971.192.0.0/151.192.0.1 to 1.193.255.2541.193.255.255131,070
981.194.0.0/151.194.0.1 to 1.195.255.2541.195.255.255131,070
991.196.0.0/151.196.0.1 to 1.197.255.2541.197.255.255131,070
1001.198.0.0/151.198.0.1 to 1.199.255.2541.199.255.255131,070
1011.200.0.0/151.200.0.1 to 1.201.255.2541.201.255.255131,070
1021.202.0.0/151.202.0.1 to 1.203.255.2541.203.255.255131,070
1031.204.0.0/151.204.0.1 to 1.205.255.2541.205.255.255131,070
1041.206.0.0/151.206.0.1 to 1.207.255.2541.207.255.255131,070
1051.208.0.0/151.208.0.1 to 1.209.255.2541.209.255.255131,070
1061.210.0.0/151.210.0.1 to 1.211.255.2541.211.255.255131,070
1071.212.0.0/151.212.0.1 to 1.213.255.2541.213.255.255131,070
1081.214.0.0/151.214.0.1 to 1.215.255.2541.215.255.255131,070
1091.216.0.0/151.216.0.1 to 1.217.255.2541.217.255.255131,070
1101.218.0.0/151.218.0.1 to 1.219.255.2541.219.255.255131,070
1111.220.0.0/151.220.0.1 to 1.221.255.2541.221.255.255131,070
1121.222.0.0/151.222.0.1 to 1.223.255.2541.223.255.255131,070
1131.224.0.0/151.224.0.1 to 1.225.255.2541.225.255.255131,070
1141.226.0.0/151.226.0.1 to 1.227.255.2541.227.255.255131,070
1151.228.0.0/151.228.0.1 to 1.229.255.2541.229.255.255131,070
1161.230.0.0/151.230.0.1 to 1.231.255.2541.231.255.255131,070
1171.232.0.0/151.232.0.1 to 1.233.255.2541.233.255.255131,070
1181.234.0.0/151.234.0.1 to 1.235.255.2541.235.255.255131,070
1191.236.0.0/151.236.0.1 to 1.237.255.2541.237.255.255131,070
1201.238.0.0/151.238.0.1 to 1.239.255.2541.239.255.255131,070
1211.240.0.0/151.240.0.1 to 1.241.255.2541.241.255.255131,070
1221.242.0.0/151.242.0.1 to 1.243.255.2541.243.255.255131,070
1231.244.0.0/151.244.0.1 to 1.245.255.2541.245.255.255131,070
1241.246.0.0/151.246.0.1 to 1.247.255.2541.247.255.255131,070
1251.248.0.0/151.248.0.1 to 1.249.255.2541.249.255.255131,070
1261.250.0.0/151.250.0.1 to 1.251.255.2541.251.255.255131,070
1271.252.0.0/151.252.0.1 to 1.253.255.2541.253.255.255131,070
1281.254.0.0/151.254.0.1 to 1.255.255.2541.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses